<?php
/**
 * @var $this Socialer
 */
?>
<script src="//code.jquery.com/ui/1.11.4/jquery-ui.js"></script>
<style>
    .wpplugtab.active {display: block;}
    .wpplugtab {display: none;}
    .wpplug_content {display: table-cell;margin: 0;padding: 0;vertical-align: top;min-width: 1110px;}
    .plug-sidebar {display: table-cell;width: 240px;min-width: 240px;padding: 0 0 0 20px;}
    .nav-tab {padding: 4px 8px;margin-left: 5px;font-size: 13px;}
</style>
<div class="wpplug_wrap wrap">
    <h1><?php _e('Настройки', $this->pluginSlug) ?></h1>
    <?php settings_errors(); ?>
    <div class="wpplug_content">
        <form method="post" action="options.php">
            <input type="hidden" name="action" value="update"/>
            <input type="hidden" name="page_options" value="<?=implode(',', $this->getAllOptions($this->adminMainTabs))?>"/>
            <?php wp_nonce_field('update-options'); ?>
            <?= $this->buildTabsHeader($this->adminMainTabs)?>
            <?= $this->buildTabs($this->adminMainTabs)?>
            <p class="submit">
                <input type="submit" class="button-primary" value="<?php _e('Сохранить', $this->pluginSlug) ?>" />
            </p>
        </form>
    </div>
    <div class="plug-sidebar">
    <a href="https://wp-r.ru" target="_blank"><img src="<?= SOCIALER_PLUGIN_URL . 'assets/images/banner.png'?>" width="240" height="300"></a>
    </div>
</div>
<?php foreach($this->adminMainTabs as $tab):?>
    <?php foreach($tab['inputs'] as $input):?>
        <?php if($input['type'] == 'wp_editor'):?>
            <?php $oName = $this->convertOptionName($input['name']);?>
            <div style="display: none;" class="<?=$oName?>">
            <?php wp_editor($this->getOptionValue($input['name']), $oName);?>
            </div>
            <script>jQuery('#<?=$oName . '-editor'?>').replaceWith(jQuery('.<?=$oName?>'));jQuery('.<?=$oName?>').show()</script>
        <?php endif;?>
    <?php endforeach;?>
<?php endforeach;?>
<script>
    jQuery('#wpplug-tabs a').click(function(){
        var link = jQuery(this).attr('href');
        jQuery('#wpplug-tabs a').removeClass('nav-tab-active');
        jQuery('.wpplugtab').removeClass('active');
        jQuery(this).addClass('nav-tab-active');
        jQuery(link).addClass('active');
        return false;
    });
    jQuery(function(){
        jQuery('.colorpicker_input').wpColorPicker();
        if(jQuery('input[name=socialer_side_form_autohide_enabled]:checked').length > 0){
            jQuery('.socialer_side_form_cookie_time-tr').show();
            jQuery('.socialer_side_form_autohide_time-tr').show();
        }
        else {
            jQuery('.socialer_side_form_cookie_time-tr').hide();
            jQuery('.socialer_side_form_autohide_time-tr').hide();
        }

        if(jQuery('input[name=socialer_big_form_autohide_enabled]:checked').length > 0){
            jQuery('.socialer_big_form_cookie_time-tr').show();
        }
        else {
            jQuery('.socialer_big_form_cookie_time-tr').hide();
        }
    });

    jQuery('input[name=socialer_side_form_autohide_enabled]').on('change', function(){
        if(jQuery('input[name=socialer_side_form_autohide_enabled]:checked').length > 0){
            jQuery('.socialer_side_form_cookie_time-tr').show();
            jQuery('.socialer_side_form_autohide_time-tr').show();
        }
        else {
            jQuery('.socialer_side_form_cookie_time-tr').hide();
            jQuery('.socialer_side_form_autohide_time-tr').hide();
        }
    });
    jQuery('input[name=socialer_big_form_autohide_enabled]').on('change', function(){
        if(jQuery('input[name=socialer_big_form_autohide_enabled]:checked').length > 0){
            jQuery('.socialer_big_form_cookie_time-tr').show();
        }
        else {
            jQuery('.socialer_big_form_cookie_time-tr').hide();
        }
    });

</script>