/**
 * Created by oranjio on 09.08.2016.
 */
function socialerDontShowSmallForm()
{
    socialerCloseSmallForm();
    var date = new Date(new Date().getTime() + socialerCookieTime * 24 * 60 * 60 * 1000);
    document.cookie = "socialerDontShowSmallForm=1; path=/; expires=" + date.toUTCString();
}

function socialerCloseSmallForm()
{
    jQuery('.popUpboxvn.small').hide('slow', function(){
        jQuery('.popUpboxvn.small').remove();
    });
}

function socialerCloseBigForm()
{
    jQuery('.popUpboxvn.big').hide('slow', function(){
        jQuery('.popUpboxvn.big').remove();
        jQuery('.socialer-popup-overlay').hide();
    });
    window.socialerBigFormWasClosed = true;
    var date = new Date(new Date().getTime() + socialerBigFormLastShow * 24 * 60 * 60 * 1000);
    document.cookie = "socialerBigFormLastShow=1; path=/; expires=" + date.toUTCString();
}

function socialerCloseSideForm()
{
    jQuery('.popUpboxvn.side').hide('slow', function(){
        jQuery('.popUpboxvn.side').remove();
    });
}

function socialerGetCookie(name)
{
    var value = "; " + document.cookie;
    var parts = value.split("; " + name + "=");
    if (parts.length >= 2) return parts.pop().split(";").shift();
}

function showSmallForm()
{
    var scrolled = window.pageYOffset || document.documentElement.scrollTop;
    if(scrolled > 200){
        jQuery('.popUpboxvn.small').show('slow');
    }
}

function showBigForm()
{
    if(!window.socialerBigFormWasClosed && jQuery(window).width() > socialerBigFormMinWidth){
        jQuery('.socialer-popup-overlay').show();
        jQuery('.popUpboxvn.big').show('slow');
    }
}

function socialerUpdateHeightOfElements()
{
    var elements = jQuery('.popUpboxvn *');
    for(var i = 0; i < elements.length; i++){
        if(jQuery(elements[i]).css('height') == '0px'){
            jQuery(elements[i]).css({'height' : ''});
        }
    }
}

function showSideForm()
{
    if(jQuery(window).width() > socialerSideFormMinWidth){
        jQuery('.popUpboxvn.side').show('slow');
        var date = new Date(new Date().getTime() + socialerSideFormCookieTime * 24 * 60 * 60 * 1000);
        document.cookie = "socialerSideFormLastShow=1; path=/; expires=" + date.toUTCString();
    }
}

jQuery(function(){
    if(!socialerSmallFormDisabled){
        if(typeof socialerGetCookie('socialerDontShowSmallForm') === 'undefined'){
            if(jQuery(window).width() > socialerSmallFormMinWidth){
                window.onscroll = showSmallForm;
            }
        }
    }

    if(!socialerBigFormDisabled){
        if(socialerBigFormAutoHideEnabled){
            if(typeof socialerGetCookie('socialerBigFormLastShow') === 'undefined'){
                jQuery('body').mouseleave(showBigForm);
            }
        }
        else {
            if(typeof socialerGetCookie('socialerBigFormLastShow') === 'undefined'){
                jQuery('body').mouseleave(showBigForm);
            }
        }
    }

    if(!socialerSideFormDisabled){
        if(socialerSideFormAutoHideEnabled){
            if(typeof socialerGetCookie('socialerSideFormLastShow') === 'undefined'){
                setTimeout(showSideForm, socialerSideFormAppearTime * 1000);
            }
        }
        else {
            setTimeout(showSideForm, socialerSideFormAppearTime * 1000);
        }
    }
    setTimeout(socialerUpdateHeightOfElements, 2000);
    setTimeout(socialerUpdateHeightOfElements, 5000);
    setTimeout(socialerUpdateHeightOfElements, 8000);
    if(socialerSideFormAutoDisappearEnabled){
        setTimeout(socialerCloseSideForm, socialerSideFormDisappearTime * 1000);
    }
});